Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.support.xml
Interface SqlXmlHandler

All Known Subinterfaces:
  SqlXmlObjectMappingHandler

All Known Implementing Classes:
  Jdbc4SqlXmlHandler

    public interface SqlXmlHandler

Abstraction for handling XML fields in specific databases. Its main purpose is to isolate database-specific handling of XML stored in the database.

JDBC 4.0 introduces the new data type `java.sql.SQLXML` but most databases and their drivers currently rely on database-specific data types and features.

Provides accessor methods for XML fields and acts as factory for `SqlXmlValue` instances.

Since:
  2.5.5
Author:
  Thomas Risberg
See Also:
  `Jdbc4SqlXmlHandler`, `SQLXML`, `ResultSet.getSQLXML(int)`, `PreparedStatement.setSQLXML(int, java.sql.SQLXML)`

Method Summary
`java.io.InputStream` | `getXmlAsBinaryStream(java.sql.ResultSet rs, int columnIndex)` Retrieve the given column as binary stream from the given ResultSet.
`java.io.InputStream` | `getXmlAsBinaryStream(java.sql.ResultSet rs, java.lang.String columnName)` Retrieve the given column as binary stream from the given ResultSet.
`java.io.Reader` | `getXmlAsCharacterStream(java.sql.ResultSet rs, int columnIndex)` Retrieve the given column as character stream from the given ResultSet.
`java.io.Reader` | `getXmlAsCharacterStream(java.sql.ResultSet rs, java.lang.String columnName)` Retrieve the given column as character stream from the given ResultSet.
`javax.xml.transform.Source` | `getXmlAsSource(java.sql.ResultSet rs, int columnIndex, java.lang.Class sourceClass)` Retrieve the given column as Source implemented using the specified source class from the given ResultSet.
`javax.xml.transform.Source` | `getXmlAsSource(java.sql.ResultSet rs, java.lang.String columnName, java.lang.Class sourceClass)` Retrieve the given column as Source implemented using the specified source class from the given ResultSet.
`java.lang.String` | `getXmlAsString(java.sql.ResultSet rs, int columnIndex)` Retrieve the given column as String from the given ResultSet.
`java.lang.String` | `getXmlAsString(java.sql.ResultSet rs, java.lang.String columnName)` Retrieve the given column as String from the given ResultSet.
`SqlXmlValue` | `newSqlXmlValue(java.lang.Class resultClass, XmlResultProvider provider)` Create a `SqlXmlValue` instance for the given XML data, as supported by the underlying JDBC driver.
`SqlXmlValue` | `newSqlXmlValue(org.w3c.dom.Document doc)` Create a `SqlXmlValue` instance for the given XML data, as supported by the underlying JDBC driver.
`SqlXmlValue` | `newSqlXmlValue(java.lang.String value)` Create a `SqlXmlValue` instance for the given XML data, as supported by the underlying JDBC driver.
`SqlXmlValue` | `newSqlXmlValue(XmlBinaryStreamProvider provider)` Create a `SqlXmlValue` instance for the given XML data, as supported by the underlying JDBC driver.
`SqlXmlValue` | `newSqlXmlValue(XmlCharacterStreamProvider provider)` Create a `SqlXmlValue` instance for the given XML data, as supported by the underlying JDBC driver.

Method Detail

### getXmlAsString

    java.lang.String getXmlAsString(java.sql.ResultSet rs,
                                    java.lang.String columnName)
                                    throws java.sql.SQLException

  Retrieve the given column as String from the given ResultSet.

  Might simply invoke `ResultSet.getString` or work with `SQLXML` or database-specific classes depending on the database and driver.

  Parameters:
    `rs` - the ResultSet to retrieve the content from
    `columnName` - the column name to use
  Returns:
    the content as String, or `null` in case of SQL NULL
  Throws:
    `java.sql.SQLException` - if thrown by JDBC methods
  See Also:
    `ResultSet.getString(int)`, `ResultSet.getSQLXML(int)`

### getXmlAsString

    java.lang.String getXmlAsString(java.sql.ResultSet rs,
                                    int columnIndex)
                                    throws java.sql.SQLException

  Retrieve the given column as String from the given ResultSet.

  Might simply invoke `ResultSet.getString` or work with `SQLXML` or database-specific classes depending on the database and driver.

  Parameters:
    `rs` - the ResultSet to retrieve the content from
    `columnIndex` - the column index to use
  Returns:
    the content as String, or `null` in case of SQL NULL
  Throws:
    `java.sql.SQLException` - if thrown by JDBC methods
  See Also:
    `ResultSet.getString(int)`, `ResultSet.getSQLXML(int)`

### getXmlAsBinaryStream

    java.io.InputStream getXmlAsBinaryStream(java.sql.ResultSet rs,
                                             java.lang.String columnName)
                                             throws java.sql.SQLException

  Retrieve the given column as binary stream from the given ResultSet.

  Might simply invoke `ResultSet.getAsciiStream` or work with `SQLXML` or database-specific classes depending on the database and driver.

  Parameters:
    `rs` - the ResultSet to retrieve the content from
    `columnName` - the column name to use
  Returns:
    the content as a binary stream, or `null` in case of SQL NULL
  Throws:
    `java.sql.SQLException` - if thrown by JDBC methods
  See Also:
    `ResultSet.getSQLXML(int)`, `SQLXML.getBinaryStream()`

### getXmlAsBinaryStream

    java.io.InputStream getXmlAsBinaryStream(java.sql.ResultSet rs,
                                             int columnIndex)
                                             throws java.sql.SQLException

  Retrieve the given column as binary stream from the given ResultSet.

  Might simply invoke `ResultSet.getAsciiStream` or work with `SQLXML` or database-specific classes depending on the database and driver.

  Parameters:
    `rs` - the ResultSet to retrieve the content from
    `columnIndex` - the column index to use
  Returns:
    the content as binary stream, or `null` in case of SQL NULL
  Throws:
    `java.sql.SQLException` - if thrown by JDBC methods
  See Also:
    `ResultSet.getSQLXML(int)`, `SQLXML.getBinaryStream()`

### getXmlAsCharacterStream

    java.io.Reader getXmlAsCharacterStream(java.sql.ResultSet rs,
                                           java.lang.String columnName)
                                           throws java.sql.SQLException

  Retrieve the given column as character stream from the given ResultSet.

  Might simply invoke `ResultSet.getCharacterStream` or work with `SQLXML` or database-specific classes depending on the database and driver.

  Parameters:
    `rs` - the ResultSet to retrieve the content from
    `columnName` - the column name to use
  Returns:
    the content as character stream
  Throws:
    `java.sql.SQLException` - if thrown by JDBC methods
  See Also:
    `ResultSet.getSQLXML(int)`, `SQLXML.getCharacterStream()`

### getXmlAsCharacterStream

    java.io.Reader getXmlAsCharacterStream(java.sql.ResultSet rs,
                                           int columnIndex)
                                           throws java.sql.SQLException

  Retrieve the given column as character stream from the given ResultSet.

  Might simply invoke `ResultSet.getCharacterStream` or work with `SQLXML` or database-specific classes depending on the database and driver.

  Parameters:
    `rs` - the ResultSet to retrieve the content from
    `columnIndex` - the column index to use
  Returns:
    the content as character stream
  Throws:
    `java.sql.SQLException` - if thrown by JDBC methods
  See Also:
    `ResultSet.getSQLXML(int)`, `SQLXML.getCharacterStream()`

### getXmlAsSource

    javax.xml.transform.Source getXmlAsSource(java.sql.ResultSet rs,
                                              java.lang.String columnName,
                                              java.lang.Class sourceClass)
                                              throws java.sql.SQLException

  Retrieve the given column as Source implemented using the specified source class from the given ResultSet.

  Might work with `SQLXML` or database-specific classes depending on the database and driver.

  Parameters:
    `rs` - the ResultSet to retrieve the content from
    `columnName` - the column name to use
    `sourceClass` - the implementation class to be used
  Returns:
    the content as character stream
  Throws:
    `java.sql.SQLException` - if thrown by JDBC methods
  See Also:
    `ResultSet.getSQLXML(int)`, `SQLXML.getSource(java.lang.Class)`

### getXmlAsSource

    javax.xml.transform.Source getXmlAsSource(java.sql.ResultSet rs,
                                              int columnIndex,
                                              java.lang.Class sourceClass)
                                              throws java.sql.SQLException

  Retrieve the given column as Source implemented using the specified source class from the given ResultSet.

  Might work with `SQLXML` or database-specific classes depending on the database and driver.

  Parameters:
    `rs` - the ResultSet to retrieve the content from
    `columnIndex` - the column index to use
    `sourceClass` - the implementation class to be used
  Returns:
    the content as character stream
  Throws:
    `java.sql.SQLException` - if thrown by JDBC methods
  See Also:
    `ResultSet.getSQLXML(int)`, `SQLXML.getSource(java.lang.Class)`

### newSqlXmlValue

    SqlXmlValue newSqlXmlValue(java.lang.String value)

  Create a `SqlXmlValue` instance for the given XML data, as supported by the underlying JDBC driver.

  Parameters:
    `value` - the XML String value providing XML data
  Returns:
    the implementation specific instance
  See Also:
    `SqlXmlValue`, `SQLXML.setString(String)`

### newSqlXmlValue

    SqlXmlValue newSqlXmlValue(XmlBinaryStreamProvider provider)

  Create a `SqlXmlValue` instance for the given XML data, as supported by the underlying JDBC driver.

  Parameters:
    `provider` - the `XmlBinaryStreamProvider` providing XML data
  Returns:
    the implementation specific instance
  See Also:
    `SqlXmlValue`, `SQLXML.setBinaryStream()`

### newSqlXmlValue

    SqlXmlValue newSqlXmlValue(XmlCharacterStreamProvider provider)

  Create a `SqlXmlValue` instance for the given XML data, as supported by the underlying JDBC driver.

  Parameters:
    `provider` - the `XmlCharacterStreamProvider` providing XML data
  Returns:
    the implementation specific instance
  See Also:
    `SqlXmlValue`, `SQLXML.setCharacterStream()`

### newSqlXmlValue

    SqlXmlValue newSqlXmlValue(java.lang.Class resultClass,
                               XmlResultProvider provider)

  Create a `SqlXmlValue` instance for the given XML data, as supported by the underlying JDBC driver.

  Parameters:
    `resultClass` - the Result implementation class to be used
    `provider` - the `XmlResultProvider` that will provide the XML data
  Returns:
    the implementation specific instance
  See Also:
    `SqlXmlValue`, `SQLXML.setResult(Class)`

### newSqlXmlValue

    SqlXmlValue newSqlXmlValue(org.w3c.dom.Document doc)

  Create a `SqlXmlValue` instance for the given XML data, as supported by the underlying JDBC driver.

  Parameters:
    `doc` - the XML Document to be used
  Returns:
    the implementation specific instance
  See Also:
    `SqlXmlValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD